
#include <util/delay.h>
#include <avr/interrupt.h>
#include "roomba.h"
#include "uart0.h"

int main()
{
	/* Enabling interrupts globally */
	sei();
	
	/* Initialize Roomba */
	/* uart is initialized with 19200 bps */
	Roomba_Init();

	/* Roomba sensor data structure */
	/* See senstor_struct.h */
	roomba_sensor_data_t roomba_sensor_data;
	
	/* Enabling UART0 for printing */
	init_uart0(51);

	while(1){
		/* Driving Roomba straight 200mm/s */
		Roomba_Drive(200, 0x8000);
		_delay_ms(1000);
		
		/* Getting Roomba (external) sensor data */
		Roomba_UpdateSensorPacket(EXTERNAL, &roomba_sensor_data);
		_delay_ms(250);
		
		/* Checking if Roomba hit a Vi*rtual wall */
		if (roomba_sensor_data.virtual_wall == 1){
			uart_print_string("virtual wall hit\n", 17);
		}
	}
}

