
#include <avr/interrupt.h>
#include "uart0.h"

/* Enabling UART0 */
/* See pages 222-231 */
void init_uart0(uint8_t br)
{
	/* Enabling only transfer */
	UCSR0B = _BV(TXEN0);
	/* 8 bit character size */
	UCSR0C = _BV(UCSZ00) | _BV(UCSZ01);
	/* setting baud rate */
	UBRR0 = br;
}


void uart_print_char(uint8_t data)
{
	while (!(UCSR0A &(1 << UDRE0)) ){}
	UDR0 = data;
}

void uart_print_string(uint8_t str[], uint8_t len)
{
	int i;
	for(i = 0; i < len; ++i)
	{
		uart_print_char(str[i]);
	}
}

